# sky_api

SkyApi - the Ruby gem for the Skycoin REST API.

Skycoin is a next-generation cryptocurrency.

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.26.0
- Package version: 0.26.0
- Build package: org.openapitools.codegen.languages.RubyClientCodegen
For more information, please visit [https://skycoin.net](https://skycoin.net)

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build sky_api.gemspec
```

Then either install the gem locally:

```shell
gem install ./sky_api-0.26.0.gem
```

(for development, run `gem install --dev ./sky_api-0.26.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'sky_api', '~> 0.26.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'sky_api', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'sky_api'

api_instance = SkyApi::DefaultApi.new

begin
  #Returns the total number of unique address that have coins.
  result = api_instance.address_count
  p result
rescue SkyApi::ApiError => e
  puts "Exception when calling DefaultApi->address_count: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *http://127.0.0.1:6420*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*SkyApi::DefaultApi* | [**address_count**](docs/DefaultApi.md#address_count) | **GET** /api/v1/addresscount | Returns the total number of unique address that have coins.
*SkyApi::DefaultApi* | [**address_uxouts**](docs/DefaultApi.md#address_uxouts) | **GET** /api/v1/address_uxouts | 
*SkyApi::DefaultApi* | [**api_v1_rawtx_get**](docs/DefaultApi.md#api_v1_rawtx_get) | **GET** /api/v1/rawtx | 
*SkyApi::DefaultApi* | [**api_v2_metrics_get**](docs/DefaultApi.md#api_v2_metrics_get) | **GET** /api/v2/metrics | 
*SkyApi::DefaultApi* | [**balance_get**](docs/DefaultApi.md#balance_get) | **GET** /api/v1/balance | Returns the balance of one or more addresses, both confirmed and predicted. The predicted balance is the confirmed balance minus the pending spends.
*SkyApi::DefaultApi* | [**balance_post**](docs/DefaultApi.md#balance_post) | **POST** /api/v1/balance | Returns the balance of one or more addresses, both confirmed and predicted. The predicted balance is the confirmed balance minus the pending spends.
*SkyApi::DefaultApi* | [**block**](docs/DefaultApi.md#block) | **GET** /api/v1/block | Returns the balance of one or more addresses, both confirmed and predicted. The predicted balance is the confirmed balance minus the pending spends.
*SkyApi::DefaultApi* | [**blockchain_metadata**](docs/DefaultApi.md#blockchain_metadata) | **GET** /api/v1/blockchain/metadata | Returns the blockchain metadata.
*SkyApi::DefaultApi* | [**blockchain_progress**](docs/DefaultApi.md#blockchain_progress) | **GET** /api/v1/blockchain/progress | Returns the blockchain sync progress.
*SkyApi::DefaultApi* | [**blocks**](docs/DefaultApi.md#blocks) | **GET** /api/v1/blocks | Returns the balance of one or more addresses, both confirmed and predicted. The predicted balance is the confirmed balance minus the pending spends.
*SkyApi::DefaultApi* | [**coin_supply**](docs/DefaultApi.md#coin_supply) | **GET** /api/v1/coinSupply | 
*SkyApi::DefaultApi* | [**csrf**](docs/DefaultApi.md#csrf) | **GET** /api/v1/csrf | Creates a new CSRF token. Previous CSRF tokens are invalidated by this call.
*SkyApi::DefaultApi* | [**data_delete**](docs/DefaultApi.md#data_delete) | **DELETE** /api/v2/data | 
*SkyApi::DefaultApi* | [**data_get**](docs/DefaultApi.md#data_get) | **GET** /api/v2/data | 
*SkyApi::DefaultApi* | [**data_post**](docs/DefaultApi.md#data_post) | **POST** /api/v2/data | 
*SkyApi::DefaultApi* | [**default_connections**](docs/DefaultApi.md#default_connections) | **GET** /api/v1/network/defaultConnections | defaultConnectionsHandler returns the list of default hardcoded bootstrap addresses.\\n They are not necessarily connected to.
*SkyApi::DefaultApi* | [**health**](docs/DefaultApi.md#health) | **GET** /api/v1/health | Returns node health data.
*SkyApi::DefaultApi* | [**last_blocks**](docs/DefaultApi.md#last_blocks) | **GET** /api/v1/last_blocks | 
*SkyApi::DefaultApi* | [**network_connection**](docs/DefaultApi.md#network_connection) | **GET** /api/v1/network/connection | This endpoint returns a specific connection.
*SkyApi::DefaultApi* | [**network_connections**](docs/DefaultApi.md#network_connections) | **GET** /api/v1/network/connections | This endpoint returns all outgoings connections.
*SkyApi::DefaultApi* | [**network_connections_disconnect**](docs/DefaultApi.md#network_connections_disconnect) | **POST** /api/v1/network/connection/disconnect | 
*SkyApi::DefaultApi* | [**network_connections_exchange**](docs/DefaultApi.md#network_connections_exchange) | **GET** /api/v1/network/connections/exchange | 
*SkyApi::DefaultApi* | [**network_connections_trust**](docs/DefaultApi.md#network_connections_trust) | **GET** /api/v1/network/connections/trust | trustConnectionsHandler returns all trusted connections.\\n They are not necessarily connected to. In the default configuration, these will be a subset of the default hardcoded bootstrap addresses.
*SkyApi::DefaultApi* | [**outputs_get**](docs/DefaultApi.md#outputs_get) | **GET** /api/v1/outputs | If neither addrs nor hashes are specificed, return all unspent outputs. If only one filter is specified, then return outputs match the filter. Both filters cannot be specified.
*SkyApi::DefaultApi* | [**outputs_post**](docs/DefaultApi.md#outputs_post) | **POST** /api/v1/outputs | If neither addrs nor hashes are specificed, return all unspent outputs. If only one filter is specified, then return outputs match the filter. Both filters cannot be specified.
*SkyApi::DefaultApi* | [**pending_txs**](docs/DefaultApi.md#pending_txs) | **GET** /api/v1/pendingTxs | 
*SkyApi::DefaultApi* | [**resend_unconfirmed_txns**](docs/DefaultApi.md#resend_unconfirmed_txns) | **POST** /api/v1/resendUnconfirmedTxns | 
*SkyApi::DefaultApi* | [**richlist**](docs/DefaultApi.md#richlist) | **GET** /api/v1/richlist | Returns the top skycoin holders.
*SkyApi::DefaultApi* | [**transaction**](docs/DefaultApi.md#transaction) | **GET** /api/v1/transaction | 
*SkyApi::DefaultApi* | [**transaction_inject**](docs/DefaultApi.md#transaction_inject) | **POST** /api/v1/injectTransaction | Broadcast a hex-encoded, serialized transaction to the network.
*SkyApi::DefaultApi* | [**transaction_post**](docs/DefaultApi.md#transaction_post) | **POST** /api/v2/transaction | 
*SkyApi::DefaultApi* | [**transaction_post_unspent**](docs/DefaultApi.md#transaction_post_unspent) | **POST** /api/v2/transaction/unspent | 
*SkyApi::DefaultApi* | [**transaction_raw**](docs/DefaultApi.md#transaction_raw) | **GET** /api/v2/transaction/raw | Returns the hex-encoded byte serialization of a transaction. The transaction may be confirmed or unconfirmed.
*SkyApi::DefaultApi* | [**transaction_verify**](docs/DefaultApi.md#transaction_verify) | **POST** /api/v2/transaction/verify | 
*SkyApi::DefaultApi* | [**transactions_get**](docs/DefaultApi.md#transactions_get) | **GET** /api/v1/transactions | Returns transactions that match the filters.
*SkyApi::DefaultApi* | [**transactions_post**](docs/DefaultApi.md#transactions_post) | **POST** /api/v1/transactions | Returns transactions that match the filters.
*SkyApi::DefaultApi* | [**uxout**](docs/DefaultApi.md#uxout) | **GET** /api/v1/uxout | Returns an unspent output by ID.
*SkyApi::DefaultApi* | [**verify_address**](docs/DefaultApi.md#verify_address) | **POST** /api/v2/address/verify | Verifies a Skycoin address.
*SkyApi::DefaultApi* | [**version**](docs/DefaultApi.md#version) | **GET** /api/v1/version | 
*SkyApi::DefaultApi* | [**wallet**](docs/DefaultApi.md#wallet) | **GET** /api/v1/wallet | Returns a wallet by id.
*SkyApi::DefaultApi* | [**wallet_balance**](docs/DefaultApi.md#wallet_balance) | **GET** /api/v1/wallet/balance | Returns the wallet's balance, both confirmed and predicted.  The predicted balance is the confirmed balance minus the pending spends.
*SkyApi::DefaultApi* | [**wallet_create**](docs/DefaultApi.md#wallet_create) | **POST** /api/v1/wallet/create | 
*SkyApi::DefaultApi* | [**wallet_decrypt**](docs/DefaultApi.md#wallet_decrypt) | **POST** /api/v1/wallet/decrypt | Decrypts wallet.
*SkyApi::DefaultApi* | [**wallet_encrypt**](docs/DefaultApi.md#wallet_encrypt) | **POST** /api/v1/wallet/encrypt | Encrypt wallet.
*SkyApi::DefaultApi* | [**wallet_folder**](docs/DefaultApi.md#wallet_folder) | **GET** /api/v1/wallets/folderName | 
*SkyApi::DefaultApi* | [**wallet_new_address**](docs/DefaultApi.md#wallet_new_address) | **POST** /api/v1/wallet/newAddress | 
*SkyApi::DefaultApi* | [**wallet_new_seed**](docs/DefaultApi.md#wallet_new_seed) | **GET** /api/v1/wallet/newSeed | 
*SkyApi::DefaultApi* | [**wallet_recover**](docs/DefaultApi.md#wallet_recover) | **POST** /api/v2/wallet/recover | Recovers an encrypted wallet by providing the seed. The first address will be generated from seed and compared to the first address of the specified wallet. If they match, the wallet will be regenerated with an optional password. If the wallet is not encrypted, an error is returned.
*SkyApi::DefaultApi* | [**wallet_seed**](docs/DefaultApi.md#wallet_seed) | **POST** /api/v1/wallet/seed | This endpoint only works for encrypted wallets. If the wallet is unencrypted, The seed will be not returned.
*SkyApi::DefaultApi* | [**wallet_seed_verify**](docs/DefaultApi.md#wallet_seed_verify) | **POST** /api/v2/wallet/seed/verify | Verifies a wallet seed.
*SkyApi::DefaultApi* | [**wallet_transaction**](docs/DefaultApi.md#wallet_transaction) | **POST** /api/v1/wallet/transaction | Creates a signed transaction
*SkyApi::DefaultApi* | [**wallet_transaction_sign**](docs/DefaultApi.md#wallet_transaction_sign) | **POST** /api/v2/wallet/transaction/sign | Creates a signed transaction
*SkyApi::DefaultApi* | [**wallet_transactions**](docs/DefaultApi.md#wallet_transactions) | **GET** /api/v1/wallet/transactions | 
*SkyApi::DefaultApi* | [**wallet_unload**](docs/DefaultApi.md#wallet_unload) | **POST** /api/v1/wallet/unload | Unloads wallet from the wallet service.
*SkyApi::DefaultApi* | [**wallet_update**](docs/DefaultApi.md#wallet_update) | **POST** /api/v1/wallet/update | Update the wallet.
*SkyApi::DefaultApi* | [**wallets**](docs/DefaultApi.md#wallets) | **GET** /api/v1/wallets | 


## Documentation for Models

 - [SkyApi::Address](docs/Address.md)
 - [SkyApi::ApiV1PendingTxsTransaction](docs/ApiV1PendingTxsTransaction.md)
 - [SkyApi::ApiV1PendingTxsTransactionOutputs](docs/ApiV1PendingTxsTransactionOutputs.md)
 - [SkyApi::BlockSchema](docs/BlockSchema.md)
 - [SkyApi::BlockSchemaBody](docs/BlockSchemaBody.md)
 - [SkyApi::BlockVerboseSchema](docs/BlockVerboseSchema.md)
 - [SkyApi::BlockVerboseSchemaBody](docs/BlockVerboseSchemaBody.md)
 - [SkyApi::BlockVerboseSchemaHeader](docs/BlockVerboseSchemaHeader.md)
 - [SkyApi::InlineResponse200](docs/InlineResponse200.md)
 - [SkyApi::InlineResponse2001](docs/InlineResponse2001.md)
 - [SkyApi::InlineResponse20010](docs/InlineResponse20010.md)
 - [SkyApi::InlineResponse2002](docs/InlineResponse2002.md)
 - [SkyApi::InlineResponse2003](docs/InlineResponse2003.md)
 - [SkyApi::InlineResponse2004](docs/InlineResponse2004.md)
 - [SkyApi::InlineResponse2005](docs/InlineResponse2005.md)
 - [SkyApi::InlineResponse2006](docs/InlineResponse2006.md)
 - [SkyApi::InlineResponse2007](docs/InlineResponse2007.md)
 - [SkyApi::InlineResponse2008](docs/InlineResponse2008.md)
 - [SkyApi::InlineResponse2008Data](docs/InlineResponse2008Data.md)
 - [SkyApi::InlineResponse2009](docs/InlineResponse2009.md)
 - [SkyApi::InlineResponseDefault](docs/InlineResponseDefault.md)
 - [SkyApi::NetworkConnectionSchema](docs/NetworkConnectionSchema.md)
 - [SkyApi::NetworkConnectionSchemaUnconfirmedVerifyTransaction](docs/NetworkConnectionSchemaUnconfirmedVerifyTransaction.md)
 - [SkyApi::Transaction](docs/Transaction.md)
 - [SkyApi::TransactionEncoded](docs/TransactionEncoded.md)
 - [SkyApi::TransactionEncodedS](docs/TransactionEncodedS.md)
 - [SkyApi::TransactionStatus](docs/TransactionStatus.md)
 - [SkyApi::TransactionTxn](docs/TransactionTxn.md)
 - [SkyApi::TransactionV2ParamsAddress](docs/TransactionV2ParamsAddress.md)
 - [SkyApi::TransactionV2ParamsAddressHoursSelection](docs/TransactionV2ParamsAddressHoursSelection.md)
 - [SkyApi::TransactionV2ParamsUnspent](docs/TransactionV2ParamsUnspent.md)
 - [SkyApi::TransactionV2ParamsUnspentHoursSelection](docs/TransactionV2ParamsUnspentHoursSelection.md)
 - [SkyApi::TransactionV2ParamsUnspentTo](docs/TransactionV2ParamsUnspentTo.md)
 - [SkyApi::TransactionVerbose](docs/TransactionVerbose.md)
 - [SkyApi::TransactionVerboseTxn](docs/TransactionVerboseTxn.md)
 - [SkyApi::TransactionVerboseTxnInputs](docs/TransactionVerboseTxnInputs.md)
 - [SkyApi::TransactionVerifyRequest](docs/TransactionVerifyRequest.md)
 - [SkyApi::WalletTransactionRequest](docs/WalletTransactionRequest.md)
 - [SkyApi::WalletTransactionRequestHoursSelection](docs/WalletTransactionRequestHoursSelection.md)
 - [SkyApi::WalletTransactionRequestWallet](docs/WalletTransactionRequestWallet.md)
 - [SkyApi::WalletTransactionSignRequest](docs/WalletTransactionSignRequest.md)


## Documentation for Authorization


### csrfAuth


- **Type**: API key
- **API key parameter name**: X-CSRF-TOKEN
- **Location**: HTTP header

